Update a script
curl --request PUT \
--url http://0.0.0.0:3000/v1/scripts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Apagar luzes da sala",
"icon": "mdi:lightbulb-off",
"color": "#9E9E9E",
"actions": [
{
"type": "call_service",
"entity_id": "light.sala",
"service": "turn_off"
}
]
}
'import requests
url = "http://0.0.0.0:3000/v1/scripts/{id}"
payload = {
"name": "Apagar luzes da sala",
"icon": "mdi:lightbulb-off",
"color": "#9E9E9E",
"actions": [
{
"type": "call_service",
"entity_id": "light.sala",
"service": "turn_off"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Apagar luzes da sala',
icon: 'mdi:lightbulb-off',
color: '#9E9E9E',
actions: [{type: 'call_service', entity_id: 'light.sala', service: 'turn_off'}]
})
};
fetch('http://0.0.0.0:3000/v1/scripts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Apagar luzes da sala",
"icon": "mdi:lightbulb",
"color": "#FFC107",
"enabled": true,
"actions": [
{
"type": "call_service",
"entity_id": "light.sala",
"service": "turn_on"
}
],
"user_id": "user_abc123",
"org_id": null,
"created_at": "2026-03-17T10:00:00Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"message": "not found"
}Scripts
Update a script
PUT
/
v1
/
scripts
/
{id}
Update a script
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Path Parameters
ID numérico do script
Body
application/json
⌘I